Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 1

%global barename recast

%global commit0 6b9cbe8d90efb1d1201e4b0a51ee031469508769
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner benjamn

Name:               nodejs-recast
Version:            0.10.39
Release:            alt1_8
Summary:            JavaScript syntax tree transformer

License:            MIT
URL:                https://www.npmjs.org/package/recast
Source0:            https://github.com/%{owner}/%{barename}/archive/%{commit0}.tar.gz#/%{barename}-%{shortcommit0}.tar.gz
BuildArch:          noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel

BuildRequires:      npm(source-map)
BuildRequires:      npm(ast-types)
BuildRequires:      npm(esprima-fb)
BuildRequires:      npm(private)
BuildRequires:      npm(cls)

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif
Source44: import.info


%description
JavaScript syntax tree transformer, conservative pretty-printer, and automatic
source map generator

%prep
%setup -qn %{barename}-%{commit0}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep ast-types ~0.x
%nodejs_fixdep source-map ~0.x
%nodejs_fixdep esprima-fb ~15001.x


%build
#%%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/recast
cp -pr package.json main.js lib \
    %{buildroot}%{nodejs_sitelib}/recast

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
# two tests fail RHBZ#1283994
mocha --reporter spec -i -t 30000 -g 'lines GuessTabWidth|source maps should generate correct mappings'
%endif


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/recast/

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.10.39-alt1_8
- new version

